set(inc "inc")

if(PS1_BUILD)
    set(src
        "ps1/src/sound.c")
    set(inc ${inc} "ps1/inc")
    set(privdeps system PSXSDK::PSXSDK)
elseif(SDL1_2_BUILD)
    set(src
        "sdl-1.2/src/sound.c")
    set(inc ${inc} "sdl-1.2/inc")
    set(deps ${deps} SDL::SDL_mixer)
    set(privdeps ${privdeps} SDL::SDL header)
elseif(ESP32_BUILD)
    set(src
        "esp32/src/sound.c")
    set(inc ${inc} "esp32/inc")
endif()

add_library(sfx ${src})
target_include_directories(sfx PUBLIC ${inc})
target_include_directories(sfx PRIVATE ${privinc})
target_link_libraries(sfx PUBLIC ${deps} PRIVATE ${privdeps})
